=== debian/changelog ===
gauche (0.9-16) unstable; urgency=low

  * debian/libgauche0.symbols (GC_start_rtn_prepare_thread): New.
    (Scm__EncodeDouble): Removed Debian revision number.
  * Check a old bug report and confirmed it's fixed (Closes: #333293).
  * debian/control (Standards-Version): Version 3.9.0.
  * README.source: Removed.
  * debian/patches/12_libgc_fix__EXCEPTIONS.patch: Updated.

 -- NIIBE Yutaka <gniibe@fsij.org>  Mon, 26 Jul 2010 09:50:45 +0900

gauche (0.9-15) unstable; urgency=low

  * debian/control: Added Breaks: and Replaces: -headers for gauche,
    libgauche0, gauche-zlib, and gauche-dev (Closes: #580337).
    Thanks to Bernard Drapeau and Jens Thiele.
  * debian/libgauche0.symbols: Updated.

 -- NIIBE Yutaka <gniibe@fsij.org>  Fri, 07 May 2010 12:10:37 +0900

gauche (0.9-14) unstable; urgency=low

  * debian/patches/17_libgc_thread_local_for_archs.patch: Renamed
    and updated for all archs not only for i486-linux-gnu.
  * debian/patches/15_ext_termios.patch: Updated.
  * debian/libgauche0.symbols: Updated.

 -- NIIBE Yutaka <gniibe@fsij.org>  Wed, 28 Apr 2010 12:40:56 +0900

gauche (0.9-13) experimental; urgency=low

  * debian/libgauche0.symbols: Changes for symbols with
    THREAD_LOCAL_ALLOC=1.
    Removed GC_allocate_lock.
    Added 19 symbols.
  * debian/patches/17_libgc_thread_local_for_i486.patch: New file.
  * debian/control (Suggests): Added gauche-gdbm and gauche-zlib.
  * debian/libgauche0.symbols: Added (optional) for
    Scm_BignumToSI64, Scm_BignumToUI64, Scm_GetInteger64Clamp,
    Scm_GetIntegerU64Clamp, Scm_MakeInteger64, and Scm_MakeIntegerU64.

 -- NIIBE Yutaka <gniibe@fsij.org>  Mon, 26 Apr 2010 09:58:49 +0900

gauche (0.9-12) experimental; urgency=low

  * debian/gauche-dev.install: gauche-cesconv should be in 'gauche'.
    Include gauche-install, gauche-config, and gauche-package under
    /usr/lib/gauche.
    Include genstub, precomp, and gencomp.
  * debian/gauche.install: Specify all contents.
  * debian/rules (override_dh_install): Removed.
  * debian/libgauche0.symbols: New file to catch ABI change.
  * debian/libgauche0.install: New file.
  * debian/gauche-zlib.install: New file.
  * debian/control (Build-Depends): Added netbase for test of ext/net.
    (Package): Added libgauche0.
    (Package): Added gauche-zlib.
    (Section): gauche-dev is lisp.
  * debian/patches/02_linking.patch: Updated.
  * debian/patches/07_armel_gnueabi.patch: Updated.
  * debian/patches/08_host_gnu.patch: Updated.
  * debian/patches/09_gauche_config.patch: Updated.
  * debian/patches/15_ext_termios.patch: New file.
  * debian/patches/16_no_LIBS.patch: New file.
  * gauche.postinst, gauche.postrm: Removed.

 -- NIIBE Yutaka <gniibe@fsij.org>  Thu, 22 Apr 2010 09:00:36 +0900

gauche (0.9-11) unstable; urgency=low

  * debian/patches/14_libgc_fix_threadlocal.patch: New file.
  * debian/patches/05_libgc_fix.patch: Updated (remove ia64 exception).
  * README.Debian: Remove ia64 comment.

 -- NIIBE Yutaka <gniibe@fsij.org>  Fri, 16 Apr 2010 16:54:18 +0900

gauche (0.9-10) unstable; urgency=low

  * debian/patches/13_bigendian64.patch: New file.
  * debian/patches/12_libgc_fix__EXCEPTIONS.patch: New file.
  * debian/patches/11_strict_alias.patch: Updated.

 -- NIIBE Yutaka <gniibe@fsij.org>  Wed, 14 Apr 2010 09:27:00 +0900

gauche (0.9-9) unstable; urgency=low

  * debian/patches/11_strict_alias.patch: New file.
  * debian/rules: ia64 is OK now, comment out the workaround.

 -- NIIBE Yutaka <gniibe@fsij.org>  Thu, 08 Apr 2010 11:32:46 +0900

gauche (0.9-8) unstable; urgency=low

  * debian/patches/10_manpages.patch: New file.
  * debian/patches/series: Don't apply 01_manpages.patch but 10_manpages.patch.
  * debian/gauche.manpages: Updated.
  * debian/gauche-dev.manpages: New file.
  * debian/gauche-doc.lintian: Removed.
  * debian/rules: Follow the removal of gauche-doc.lintian.
  * debian/rules: Added +x for template.DIST.

 -- NIIBE Yutaka <gniibe@fsij.org>  Wed, 17 Mar 2010 14:23:47 +0900

gauche (0.9-7) unstable; urgency=low

  * debian/control (Maintainer): It's now Debian Gauche Maintainers list.
  (Uploaders): Added Jens Thiele <karme@karme.de>.
  * debian/patches/08_host_gnu.patch: Add THREADLIBS and
    GAUCHE_THREAD_TYPE for i486-pc-gnu0.3.  Include config.h.in patch.

 -- NIIBE Yutaka <gniibe@fsij.org>  Thu, 11 Mar 2010 09:52:27 +0900

gauche (0.9-6) unstable; urgency=low

  * debian/patches/09_no_LIBS.patch: New file.
  * debian/patches/02_linking.patch: Remove $(LIBS) from gauche-config build.
  * debian/patches/05_libgc_fix.patch: Undo 0.9-5 change and enable
    THREAD_LOCAL_ALLOC for sparc64-*-linux*.
  * debian/patches/06_arm_float.patch: Include 2009-11-30 change of
    src/parameter.c.

 -- NIIBE Yutaka <gniibe@fsij.org>  Tue, 09 Mar 2010 10:22:52 +0900

gauche (0.9-5) unstable; urgency=low

  * debian/patches/07_armel_gnueabi.patch: New file.
  * debian/patches/08_host_gnu.patch: New file.
  * debian/patches/05_libgc_fix.patch: Added local change of disabling
    THREAD_LOCAL_ALLOC for sparc64-*-linux*.

 -- NIIBE Yutaka <gniibe@fsij.org>  Mon, 08 Mar 2010 12:24:07 +0900

gauche (0.9-4) unstable; urgency=low

  * debian/README.Debian: Added a note for ia64.
  * debian/patches/05_libgc_fix.patch: Added local change of disabling
    THREAD_LOCAL_ALLOC for ia64-*-linux*.
  * debian/rules (override_dh_auto_build): New entry.
  (less_optimization_for_vm_compilation): New variable.

 -- NIIBE Yutaka <gniibe@fsij.org>  Sat, 06 Mar 2010 14:10:49 +0900

gauche (0.9-3) unstable; urgency=low

  * debian/patches/05_libgc_fix.patch: New file.
  * debian/patches/06_arm_float.patch: New file.
  * debian/patches/series: Updated.

 -- NIIBE Yutaka <gniibe@fsij.org>  Fri, 05 Mar 2010 10:52:55 +0900

gauche (0.9-2) unstable; urgency=low

  * debian/control (Build-Depends): Added libatomic-ops-dev.
  * debian/rules: Use preinstalled libatomic-ops.
  * debian/patches/04_align8.patch: New file.
  * debian/patches/series: Apply 04_align8.patch.


