=== debian/changelog ===
gauche (0.9.1-5) unstable; urgency=low

  * debian/patches/19_nettest_skip.patch: More fix.
  * debian/control (Breaks): Add libgauche0 (Closes: #617201).

 -- NIIBE Yutaka <gniibe@fsij.org>  Tue, 08 Mar 2011 16:15:17 +0900

gauche (0.9.1-4) unstable; urgency=low

  * debian/patches/19_nettest_skip.patch: More fix.
  * debian/libgauche-0.9-0.symbols: Updated for kfreebsd-*, sparc64.
  * debian/patches/28_test_under_pty.patch: New.

 -- NIIBE Yutaka <gniibe@fsij.org>  Tue, 08 Mar 2011 13:33:26 +0900

gauche (0.9.1-3) unstable; urgency=low

  * debian/patches/19_nettest_skip.patch: Added again to fix FTBFS on
    hurd-i386, armhf and powerpcspe.
  * debian/libgauche-0.9-0.symbols: Updated for mips, mipsel and s390.
  * debian/control (Package): Renamed libgauche-0.9-0.
  * debian/libgauche-0.9-0.{postinst,postrm}: New.
  * debian/libgauche-0.9-0.{install,symbols}: Renamed.
  * debian/patches/27_libgc_fix__data_start.patch: Renamed and include
    similar change for mips/mipsel.

 -- NIIBE Yutaka <gniibe@fsij.org>  Fri, 04 Mar 2011 17:38:45 +0900

gauche (0.9.1-2) unstable; urgency=low

  * debian/gauche.install: Added missing files.  Thanks to Jens Thiele.
  * debian/patches/27_s390_libgc_fix.patch: New.
  * debian/rules (override_dh_auto_configure): Added EXTRA_TEST_LIBS.

 -- NIIBE Yutaka <gniibe@fsij.org>  Tue, 01 Mar 2011 11:33:14 +0900

gauche (0.9.1-1) experimental; urgency=low

  * New upstream release.
  * debian/control (Standards-Version): Updated.  Not use Conflicts.
  (Breaks): Move wiliki from Conflicts.
  * debian/patches/01_manpages.patch: Removed.
  * debian/patches/04_align8.patch: Removed.
  * debian/patches/06_arm_float.patch: Removed.
  * debian/patches/07_armel_gnueabi.patch: Removed.
  * debian/patches/08_host_gnu.patch: Removed.
  * debian/patches/09_gauche_config.patch: Removed.
  * debian/patches/10_manpages.patch: Removed.
  * debian/patches/11_strict_alias.patch: Removed.
  * debian/patches/13_bigendian64.patch: Removed.
  * debian/patches/19_nettest_skip.patch: Removed.
  * debian/patches/21_vectors_test.patch: Removed.
  * debian/gauche.install: Updated.
  * debian/libgauche0.install: Updated.
  * debian/gauche-dev.install: Updated.
  * debian/gauche-gdbm.install: Updated.
  * debian/gauche-zlib.install: Updated.
  * debian/rules: Update path of template.DIST.
  * debian/patches/25_binary_compat_vminexact.patch: New.
  * debian/patches/26_no_microversion_in_soname.patch: New.
  * debian/libgauche0.symbols: Updated.

 -- NIIBE Yutaka <gniibe@fsij.org>  Tue, 15 Feb 2011 10:32:11 +0900

gauche (0.9-21) unstable; urgency=low

  * debian/patches/24_remove_sk_hack.patch: New.  Fix FTBFS with newer
    libc.

 -- NIIBE Yutaka <gniibe@fsij.org>  Thu, 10 Feb 2011 12:09:35 +0900

gauche (0.9-20) unstable; urgency=low

  * debian/patches/23_sh4_requires_mieee.patch: New.
    Fix FTBFS on SH4 (Closes: #612554).  Thanks to Nobuhiro Iwamatsu.
  * debian/patches/22_wa_s390_memcmp.patch: New.

 -- NIIBE Yutaka <gniibe@fsij.org>  Wed, 09 Feb 2011 17:45:07 +0900

gauche (0.9-19) unstable; urgency=low

  * debian/patches/20_check_exit_status.patch: Fixed ('exit' command
    should not be inside sub-shell).  Added check of test.record.
  * debian/patches/21_vectors_test.patch: New for big endian machines.

 -- NIIBE Yutaka <gniibe@fsij.org>  Tue, 08 Feb 2011 09:18:45 +0900

gauche (0.9-18) unstable; urgency=low

  * debian/patches/12_libgc_fix__EXCEPTIONS.patch: Call GC_init_thread_local.
  * debian/patches/19_nettest_skip.patch: New.
  * debian/patches/20_check_exit_status.patch: New.

 -- NIIBE Yutaka <gniibe@fsij.org>  Mon, 07 Feb 2011 11:28:22 +0900

gauche (0.9-17) unstable; urgency=high

  * debian/patches/18_number.patch: New.  Gauche is vulnerable for
  some floating point input.  Reference: CVE-2010-4645 for PHP.
  Thanks to Jens Thiele.

 -- NIIBE Yutaka <gniibe@fsij.org>  Fri, 04 Feb 2011 17:42:16 +0900
