=== debian/control ===
--- 
+++ 
@@ -4,15 +4,14 @@
 Maintainer: Debian Gauche Maintainers <pkg-gauche-devel@lists.alioth.debian.org>
 Uploaders: Hatta Shuzo <hattas@debian.org>, YAEGASHI Takeshi <yaegashi@debian.org>, NIIBE Yutaka <gniibe@fsij.org>, Jens Thiele <karme@karme.de>
 Build-Depends: quilt (>= 0.46-7~), debhelper (>= 7.0.50~), autotools-dev, texinfo, libgdbm-dev, autoconf, slib (>> 3a5), zlib1g-dev, libatomic-ops-dev, netbase
-Standards-Version: 3.9.0
+Standards-Version: 3.9.1
 Homepage: http://practical-scheme.net/gauche/
 
 Package: gauche
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}
-Conflicts: wiliki (<< 0.5.1)
-Breaks: gauche-dev (<= 0.9-11)
-Replaces: gauche-dev (<= 0.9-11)
+Breaks: wiliki (<< 0.5.1), gauche-dev (<= 0.9-21)
+Replaces: gauche-dev (<= 0.9-21)
 Recommends: slib
 Suggests: r5rs-doc, gauche-doc, gauche-zlib, gauche-gdbm
 Description: A Scheme implementation designed for script writing
@@ -22,11 +21,11 @@
  built-in system interface, native multilingual support are some of
  the author's goals.
 
-Package: libgauche0
+Package: libgauche-0.9-0
 Section: libs
 Architecture: any
-Breaks: gauche (<= 0.9-11)
-Replaces: gauche (<= 0.9-11)
+Breaks: gauche (<= 0.9-21), libgauche0 (<= 0.9.1-2)
+Replaces: gauche (<= 0.9-21), libgauche0 (<= 0.9.1-2)
 Depends: ${shlibs:Depends}, ${misc:Depends}
 Description: Gauche runtime shared library
  Gauche is a Scheme implementation developed to be a handy script
@@ -36,7 +35,7 @@
 
 Package: gauche-gdbm
 Architecture: any
-Depends: gauche (>= 0.9-15), ${shlibs:Depends}, ${misc:Depends}
+Depends: gauche (>= 0.9.1-1), ${shlibs:Depends}, ${misc:Depends}
 Description: gdbm binding for Gauche
  Gauche is a Scheme implementation developed to be a handy script
  interpreter, which allows programmers and system administrators to
@@ -48,9 +47,9 @@
 
 Package: gauche-zlib
 Architecture: any
-Depends: gauche (>= 0.9-15), ${shlibs:Depends}, ${misc:Depends}
-Breaks: gauche (<= 0.9-11), gauche-dev (<= 0.9-11)
-Replaces: gauche (<= 0.9-11)
+Depends: gauche (>= 0.9.1-1), ${shlibs:Depends}, ${misc:Depends}
+Breaks: gauche (<= 0.9-21), gauche-dev (<= 0.9-21)
+Replaces: gauche (<= 0.9-21)
 Description: zlib binding for Gauche
  Gauche is a Scheme implementation developed to be a handy script
  interpreter, which allows programmers and system administrators to
@@ -63,9 +62,9 @@
 Package: gauche-dev
 Section: lisp
 Architecture: any
-Depends: gauche (>= 0.9-15), ${shlibs:Depends}, ${misc:Depends}
-Breaks: gauche (<= 0.9-11)
-Replaces: gauche (<= 0.9-11)
+Depends: gauche (>= 0.9.1-1), ${shlibs:Depends}, ${misc:Depends}
+Breaks: gauche (<= 0.9-21)
+Replaces: gauche (<= 0.9-21)
 Description: Development files for Gauche
  Gauche is a Scheme implementation developed to be a handy script
  interpreter, which allows programmers and system administrators to
