## gauche 0.9.3.3

=== test/Makefile ===
all:

clean:
	rm -f core *~ tmp*
