=== debian/changelog ===
gauche (0.9.3.3-8ubuntu1) trusty; urgency=medium

  * Backport boehm-gc and libatomic-ops patches for AArch64.
  * Backport boehm-gc and libatomic-ops patches for ppc64el.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 02 Apr 2014 22:29:34 +0200

gauche (0.9.3.3-8) unstable; urgency=low

  * debian/libgauche-0.9-0.symbols: Updated for alpha, armel and ia64.

 -- NIIBE Yutaka <gniibe@fsij.org>  Tue, 15 Jan 2013 17:17:39 +0900

gauche (0.9.3.3-7) unstable; urgency=low

  * debian/rules: ac_cv_prog_OPENSSL=none, workaround for axTLS. 

 -- NIIBE Yutaka <gniibe@fsij.org>  Thu, 29 Nov 2012 09:37:15 +0900

gauche (0.9.3.3-6) unstable; urgency=low

  * debian/patches/35_axtls_error.patch: New.
  * debian/patches/36_fix_for_exotic_filesystem.patch: New.

 -- NIIBE Yutaka <gniibe@fsij.org>  Wed, 28 Nov 2012 15:45:38 +0900

gauche (0.9.3.3-5) unstable; urgency=low

  * debian/{gauche.install,gauche-dev.install,gauche-doc.info,
    gauche-dev.manpages,gauche.manpages}: Updated (Thanks to Jens Thiele).
  * debian/rules: Fix path of --mandir and --infodir.
  * debian/patches/32_usage_libatomic_ops.patch: Updated to fix FTBFS on
    armel, really, this time.
  * debian/patches/34_alpha_stackbottom.patch: New.

 -- NIIBE Yutaka <gniibe@fsij.org>  Wed, 28 Nov 2012 09:24:58 +0900

gauche (0.9.3.3-4) unstable; urgency=low

  * debian/33_workaround_thread_test_minmemory.patch: New.
  * debian/libgauche-0.9-0.symbols: Updated.
  * debian/patches/32_usage_libatomic_ops.patch: Updated.  Fix FTBFS on
    sh4, too.

 -- NIIBE Yutaka <gniibe@fsij.org>  Tue, 27 Nov 2012 09:40:46 +0900

gauche (0.9.3.3-3) unstable; urgency=low

  * debian/patches/19_nettest_skip.patch: Updated.  Fix FTBFS on powerpc,
    s390 and s390x.
  * debian/patches/32_usage_libatomic_ops.patch: New.  Fix FTBFS on armel.

 -- NIIBE Yutaka <gniibe@fsij.org>  Mon, 26 Nov 2012 16:12:40 +0900

gauche (0.9.3.3-2) unstable; urgency=low

  * debian/rules (override_dh_auto_configure): Remove mistake of
    --build options to fix FTBFS.

 -- NIIBE Yutaka <gniibe@fsij.org>  Mon, 26 Nov 2012 14:22:54 +0900

gauche (0.9.3.3-1) unstable; urgency=low

  * New upstream release (Closes: #671622).
  * debian/compat: Upgrade to 9. 
  * debian/rules (override_dh_auto_clean): Add cleanup generated .scm and
    sci files.
    (DH_OPTIONS): Add export.
    (override_dh_auto_configure): Don't call dh_auto_configure directly,
    but call configure manually (for libdir and libexecdir).
  * debian/gauche.install: Updated.
  * debian/patches/30_link_pthread.patch: New.
  * debian/patches/31_ldflags_for_ext.patch: New.
  * debian/patches/series: Don't apply 05, 12, 14, 18, 22, 14, and 29.
    Those are included in upstream already.
  * debian/libgauche-0.9-0.symbols: Updated.
  * debian/control (Standards-Version): Now, it follows 3.9.3.
    (Description): Update from current Gauche README.

 -- NIIBE Yutaka <gniibe@fsij.org>  Mon, 26 Nov 2012 12:40:15 +0900

gauche (0.9.1-5.1) unstable; urgency=low

  * Non-maintainer upload.
  * Avoid using $HOME (Closes: #666588).

 -- Luk Claes <luk@debian.org>  Thu, 05 Jul 2012 18:24:46 +0000
