=== debian/control ===
--- 
+++ 
@@ -3,18 +3,18 @@
 Priority: optional
 Maintainer: Debian Gauche Maintainers <pkg-gauche-devel@lists.alioth.debian.org>
 Uploaders: Hatta Shuzo <hattas@debian.org>, YAEGASHI Takeshi <yaegashi@debian.org>, NIIBE Yutaka <gniibe@fsij.org>, Jens Thiele <karme@karme.de>
-Build-Depends: quilt (>= 0.46-7~), debhelper (>= 7.0.50~), autotools-dev, texinfo, libgdbm-dev, autoconf, slib (>> 3a5), zlib1g-dev, libatomic-ops-dev, netbase
-Standards-Version: 3.9.1
+Build-Depends: quilt (>= 0.46-7~), debhelper (>= 9), autotools-dev, texinfo, libgdbm-dev, autoconf, slib (>> 3a5), zlib1g-dev, libatomic-ops-dev, netbase
+Standards-Version: 3.9.3
 Homepage: http://practical-scheme.net/gauche/
 
 Package: gauche
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}
-Breaks: wiliki (<< 0.5.1), gauche-dev (<= 0.9-21)
-Replaces: gauche-dev (<= 0.9-21)
+Breaks: wiliki (<< 0.5.1), gauche-dev (<= 0.9.1-5)
+Replaces: gauche-dev (<= 0.9.1-5)
 Recommends: slib
 Suggests: r5rs-doc, gauche-doc, gauche-zlib, gauche-gdbm
-Description: A Scheme implementation designed for script writing
+Description: Scheme script engine
  Gauche is a Scheme implementation developed to be a handy script
  interpreter, which allows programmers and system administrators to
  write small to large scripts for their daily chores. Quick startup,
@@ -24,8 +24,8 @@
 Package: libgauche-0.9-0
 Section: libs
 Architecture: any
-Breaks: gauche (<= 0.9-21), libgauche0 (<= 0.9.1-2)
-Replaces: gauche (<= 0.9-21), libgauche0 (<= 0.9.1-2)
+Breaks: gauche (<= 0.9.1-5), libgauche0 (<= 0.9.1-5)
+Replaces: gauche (<= 0.9.1-5), libgauche0 (<= 0.9.1-5)
 Depends: ${shlibs:Depends}, ${misc:Depends}
 Description: Gauche runtime shared library
  Gauche is a Scheme implementation developed to be a handy script
@@ -35,7 +35,7 @@
 
 Package: gauche-gdbm
 Architecture: any
-Depends: gauche (>= 0.9.1-1), ${shlibs:Depends}, ${misc:Depends}
+Depends: gauche (>= 0.9.3-1), ${shlibs:Depends}, ${misc:Depends}
 Description: gdbm binding for Gauche
  Gauche is a Scheme implementation developed to be a handy script
  interpreter, which allows programmers and system administrators to
@@ -47,9 +47,9 @@
 
 Package: gauche-zlib
 Architecture: any
-Depends: gauche (>= 0.9.1-1), ${shlibs:Depends}, ${misc:Depends}
-Breaks: gauche (<= 0.9-21), gauche-dev (<= 0.9-21)
-Replaces: gauche (<= 0.9-21)
+Depends: gauche (>= 0.9.3-1), ${shlibs:Depends}, ${misc:Depends}
+Breaks: gauche (<= 0.9.1-5), gauche-dev (<= 0.9.1-5)
+Replaces: gauche (<= 0.9.1-5)
 Description: zlib binding for Gauche
  Gauche is a Scheme implementation developed to be a handy script
  interpreter, which allows programmers and system administrators to
@@ -62,9 +62,9 @@
 Package: gauche-dev
 Section: lisp
 Architecture: any
-Depends: gauche (>= 0.9.1-1), ${shlibs:Depends}, ${misc:Depends}
-Breaks: gauche (<= 0.9-21)
-Replaces: gauche (<= 0.9-21)
+Depends: gauche (>= 0.9.3-1), ${shlibs:Depends}, ${misc:Depends}
+Breaks: gauche (<= 0.9.1-5)
+Replaces: gauche (<= 0.9.1-5)
 Description: Development files for Gauche
  Gauche is a Scheme implementation developed to be a handy script
  interpreter, which allows programmers and system administrators to
