=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile-gmake -*-
#export DH_VERBOSE=1
export DH_OPTIONS
export GZIP=-9

%:
	dh $@ --with quilt,autotools_dev

override_dh_auto_clean:
	dh_auto_clean
	rm -f configure
	rm -f lib/gauche/config.scm
#	rm -f gc/configure gc/Makefile.in
	find . -name "*.sci" | xargs rm -f
	find . -type l -name "*.scm" | xargs rm -f

override_dh_auto_configure:
	autoconf
#	(cd gc; autoconf; automake)
#	dh_auto_configure -v -- --enable-multibyte=utf-8 --enable-ipv6 --enable-threads=pthreads --with-slib=/usr/share/slib EXTRA_TEST_LIBS=-lpthread
#
#	  --build=x86_64-linux-gnu 
#	  --libdir=/usr/lib/x86_64-linux-gnu --libexecdir=/usr/lib/x86_64-linux-gnu \
#
	ac_cv_prog_OPENSSL=none ./configure --prefix=/usr \
	  --includedir=/usr/include --mandir=/usr/share/man \
	  --infodir=/usr/share/info --sysconfdir=/etc \
	  --localstatedir=/var \
	  --disable-maintainer-mode --disable-dependency-tracking \
	  --enable-multibyte=utf-8 --enable-ipv6 --enable-threads=pthreads \
	  --with-slib=/usr/share/slib EXTRA_TEST_LIBS=-lpthread

override_dh_auto_install:
	make DESTDIR=$(CURDIR)/debian/tmp slibcat-in-place install-pkg install-doc
	chmod +x $(CURDIR)/debian/tmp/usr/share/gauche-0.9/[0-9]*/template.DIST
