=== debian/watch ===
version=3
http://sf.net/gauche/Gauche-([\d\.]*)\.tgz
