=== debian/changelog ===
gauche (0.9.4-6) unstable; urgency=low

  * debian/rules (GZIP): Add -n to be reproducible.
  * debian/README.Debian: Fix typo.
  * debian/patches/{40_mips64el.patch,41_port_unlock_race.patch}: New.
    Thanks to James Cowgill (Closes: #774886, #779949).
  * Confirmed that info-es are in gauche-doc (fixed in 0.9.4-5).
    Thanks to Frank Zappa and Jens Thiele (Closes: #805478).
  * debian/control (Maintainer): Remove Hatta Shuzo, since he is not
    Debian developer any more (Closes: #549352).

 -- NIIBE Yutaka <gniibe@fsij.org>  Fri, 18 Dec 2015 07:16:21 +0000

gauche (0.9.4-5) unstable; urgency=low

  * debian/control (Standards-Version): Conforms to 3.9.6.
  * debian/rules (AUTOMAKE, ACLOCAL): Specify for machines with 1.14.
  * debian/gauche-doc.install: Move from gauche-doc.info.
    Thanks to Jay Sulzberger for reporting.
  * debian/libgauche-0.9-0.symbols: Updated for kfreebsd.

 -- NIIBE Yutaka <gniibe@fsij.org>  Wed, 05 Nov 2014 04:54:20 +0000

gauche (0.9.4-4) unstable; urgency=low

  * debian/patches/38_libgc_ppc64el.patch: New (Closes: #766639).
    Thanks to Frederic Bonnard.
  * debian/patches/39_net_test.patch: New to disable network test.
  * debian/libgauche-0.9-0.symbols: Updated for ppc64 and ppc64el.

 -- NIIBE Yutaka <gniibe@fsij.org>  Tue, 04 Nov 2014 03:43:51 +0000

gauche (0.9.4-3) unstable; urgency=low

  * debian/rules: Fix FTBFS for sparc.

 -- NIIBE Yutaka <gniibe@fsij.org>  Sat, 30 Aug 2014 12:23:07 +0000

gauche (0.9.4-2) unstable; urgency=low

  * debian/rules: Fix FTBFS for ppc64el.

 -- NIIBE Yutaka <gniibe@fsij.org>  Thu, 28 Aug 2014 00:28:37 +0000

gauche (0.9.4-1) unstable; urgency=low

  * New upstream release (Closes: #736228, #744573, #753402).
  * debian/control (Standards-Version): Conforms to 3.9.4.
    (Build-Depends): Remove libatomic-ops-dev.
  * debian/patches/series: Updated.
  * debian/libgauche-0.9-0.symbols: Updated.

 -- NIIBE Yutaka <gniibe@fsij.org>  Wed, 27 Aug 2014 01:23:07 +0000
