=== debian/rules ===
--- 
+++ 
@@ -2,22 +2,36 @@
 # -*- makefile-gmake -*-
 #export DH_VERBOSE=1
 export DH_OPTIONS
-export GZIP=-9
+export GZIP=-9 -n
+export AUTOMAKE = automake-1.11
+export ACLOCAL  = aclocal-1.11
 
 %:
-	dh $@ --with quilt,autotools_dev
+	dh $@ --with quilt
 
 override_dh_auto_clean:
-	dh_auto_clean
-	rm -f configure
+	-dh_auto_clean
+	rm -f configure config.sub config.guess
+	rm -f gc/config.sub gc/config.guess
+	rm -f gc/libatomic_ops/config.sub gc/libatomic_ops/config.guess
 	rm -f lib/gauche/config.scm
-#	rm -f gc/configure gc/Makefile.in
+	rm -f gc/aclocal.m4
+	rm -f gc/configure gc/Makefile.in
+	rm -f gc/libatomic_ops/configure gc/libatomic_ops/Makefile.in
+	rm -f gc/libatomic_ops/src/Makefile.in gc/libatomic_ops/doc/Makefile.in
+	rm -f gc/libatomic_ops/tests/Makefile.in gc/libatomic_ops/aclocal.m4
 	find . -name "*.sci" | xargs rm -f
 	find . -type l -name "*.scm" | xargs rm -f
 
 override_dh_auto_configure:
+	ln -sf /usr/share/misc/config.sub .
+	ln -sf /usr/share/misc/config.guess .
+	(cd gc; ln -sf /usr/share/misc/config.sub .)
+	(cd gc; ln -sf /usr/share/misc/config.guess .)
+	(cd gc/libatomic_ops; ln -sf /usr/share/misc/config.sub .)
+	(cd gc/libatomic_ops; ln -sf /usr/share/misc/config.guess .)
 	autoconf
-#	(cd gc; autoconf; automake)
+	(cd gc; autoreconf -I m4)
 #	dh_auto_configure -v -- --enable-multibyte=utf-8 --enable-ipv6 --enable-threads=pthreads --with-slib=/usr/share/slib EXTRA_TEST_LIBS=-lpthread
 #
 #	  --build=x86_64-linux-gnu
