=== debian/watch ===
version=3
opts=pgpsigurlmangle=s/$/.asc/
http://sf.net/gauche/Gauche-([\d\.]*)\.tgz
